Sender IDs

List sender IDs

Lists your sender IDs and their approval status.

GET
/v1/sender-ids

Lists your sender IDs and their approval status.

Authorization

bearer
headerAuthorizationBearer <JWT>

Your secret API key: sk_live_… for live traffic or sk_test_… for testing.

Query Parameters

page?number

Page number, starting at 1.

Range1 <= value <= 2147483647
limit?number

Items per page, 1 to 100. Defaults to 10.

Range1 <= value <= 100

Response Body

A page of sender IDs.

application/json
Example Request
curl -X GET 'https://api.appstractone.com/v1/sender-ids'
Example Response
{
  "docs": [
    {
      "id": "4497468d-9d39-4bef-b7eb-23369ae9f52b",
      "name": "MYSHOP",
      "status": "pending",
      "purpose": "Order updates for our customers",
      "sampleMessage": "Your order #1042 is on its way.",
      "rejectionReason": null,
      "createdAt": "2026-11-05T00:47:20.633Z"
    }
  ],
  "totalDocs": 2,
  "limit": 2,
  "totalPages": 1,
  "page": 1,
  "pagingCounter": 1,
  "hasPrevPage": false,
  "hasNextPage": false,
  "prevPage": null,
  "nextPage": null
}